<script setup lang="ts">
import Multiselect from 'vue-multiselect';
const props = defineProps<{
    data:{
    isMember:boolean,
    npa:string,
    nik:string,
    name:string,
    email:string,
    pc:string,
    cabor:string,
    size:string,
    image?:string
    }
}>();

const sizes= ref([
        { name: 'S'},
        { name: 'M'},
        { name: 'L' },
        { name: 'XL'},
        { name: 'XXL'}
      ])

const pcData = useFetch('https://petadakwah-apidev.persis.or.id/api/pc')
let pcs= ref(pcData.error? []: pcData.data)

const cabors= ref([
  "Futsal"
])

const searchPc = (query:string)=>{
  const {data,pending,error,refresh} = useFetch('https://petadakwah-apidev.persis.or.id/api/pc', {
    query:{
      keyword: query
    } 
  })
  if(error){
    return []
  }
  pcs = data
}
</script>
<template>
  <div class="min-h-screen md:flex md:items-center md:justify-center">
    <div class='m-auto p-2 bg-neutral max-w-md'>
    <div class="flex justify-between">
      <label class="label cursor-pointer">
        <input disabled type="radio" name="member_type" class="radio" :checked="props.data.isMember" />
      <span class="label-text pl-1">Anggota</span> 
      </label>
      <label class="label cursor-pointer">
      <input disabled type="radio" name="member_type" class="radio" :checked="!props.data.isMember" />
      <span class="label-text pl-1">Simpatisan</span> 
      </label>
    </div>

   <form class="form-control p-2" v-if="props.data.isMember">
    <div class="p-2 order-none flex justify-center mt-1">
      <div class="avatar placeholder">
        <div class="bg-neutral-focus text-neutral-content rounded-full w-36">
          <span v-if="!props.data.image" class="text-xs">Upload Gambar</span>
          <img v-else :src="props.data.image">
        </div>
      </div>
    </div> 
   
    <div class="flex flex-col md:flex-row md:flex-wrap justify-between">
      <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="NPA">
        <span class="label-text">NPA</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.npa}}
      </p>
      </div>
      </div>

      <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="NIK">
        <span class="label-text">NIK</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.nik}}
      </p>
      </div>
      </div>

      <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="Name">
        <span class="label-text">Name</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.name}}
      </p>
      </div>
      </div>
      
      <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="Email">
        <span class="label-text">Email</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.name}}
      </p>
      </div>
      </div>
     
      <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="PC">
        <span class="label-text">PC</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.pc}}
      </p>
      </div>
      </div>
      
      <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="cabor">
        <span class="label-text">cabor</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.cabor}}
      </p>
      </div>
      </div>
     
      <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="size">
        <span class="label-text">Ukuran Baju</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.size}}
      </p>
      </div>
      </div>
      
     <div class="mt-3 w-full text-area bg-neutral-focus rounded p-2">
      <img src="/formatbaju.jpeg"/>            
     </div> 
  </div>
  </form> 

  <form v-else class="form-control p-2">
    <div class="p-2 order-none flex justify-center mt-1">
      <div class="avatar placeholder">
        <div class="bg-neutral-focus text-neutral-content rounded-full w-36">
          <span v-if="!props.data.image" class="text-xs">Upload Gambar</span>
          <img v-else :src="props.data.image">
        </div>
      </div>
    </div> 
    
    <div class="flex flex-col md:flex-row md:flex-wrap justify-between">
    <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="NIK">
        <span class="label-text">NIK</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.nik}}
      </p>
      </div>
      </div>

      <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="Name">
        <span class="label-text">Name</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.name}}
      </p>
      </div>
      </div>
      
      <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="Email">
        <span class="label-text">Email</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.name}}
      </p>
      </div>
      </div>
     
      <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="PC">
        <span class="label-text">PC</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.pc}}
      </p>
      </div>
      </div>
     
      <div class="w-full max-w-sm md:max-w-[180px]">
      <label class="label" for="size">
        <span class="label-text">Ukuran Baju</span>
      </label>
      <div 
        class="input input-sm input-bordered w-full max-w-sm"
      >
      <p>
        {{props.data.size}}
      </p>
      </div>
      </div>
   
     <div class="mt-3 w-full text-area bg-neutral-focus rounded p-2">
      <img src="/formatbaju.jpeg"/>            
     </div> 
    </div>
    </form>
    </div>
  </div>
</template>
